Bug 65932 - Problems accessing files over 2G in size
Problems accessing files over 2G in size
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tcsh (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-04 11:07 EDT by John-Brian Vyncent
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-06 15:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John-Brian Vyncent 2002-06-04 11:07:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
If a file is created that is over 2G, i.e. 'largefile.dat' you will be able to 
see it at the console but logging in via SSH, Telnet, etc does not display the 
file.

If you log in via SSH or Telnet and 'ls largefile.dat' you can see the file. 
If you display the directory in a manner such as 'ls large*' the file does not 
appear in the directory list.

Please note that we have our applications working under FreeBSD, OpenBSD and 
Solaris. Using RedHat Linux 7.3 our application does not see index/data files 
over 2G

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a file larger than 2 gigabytes and name it 'largefile.dat'
2.At the console perform 'ls largefile.dat' - FILE APPEARS
3.Login via Telnet and perform ' ls large*' - FILE DOES NOT APPEAR
	

Actual Results:  Using the 'ls large*' displays all file matching the 
parameter except for files over 2G in size.

Expected Results:  All files matching the parameters should be displayed

Additional info:

Redhat Linux 7.3, Kernel 2.4.18-4, latest updates. Running on several 
different systems from Pentium-II laptopsusing Celeron processors to Pentium-
III 86 MHz machines. Currently experiencing the problem on Two HP Kayaks 
XM600, one with 1G PC100 SDRAM and dual Pentium-III 533MHz. The other with 
single Pentium-III 533 MHz with 512 PC100 SDRAM. Both machines have three (3) 
Western Digital ATA100, 120G IDE hard disk drives.

Access to our system for debugging, further clarification, testing can be 
arranged.
Comment 1 Bill Nottingham 2002-06-04 11:33:37 EDT
What does 'ls -l largefile.dat' say? 

There really should be no difference in how it appears no matter how you log in.

Are you *sure* your app was compiled with largefile support?
Comment 2 John-Brian Vyncent 2002-06-04 13:33:27 EDT
I ran 'ls -l large*' and using 'tcsh' it does not display the file. In testing 
we discovered that users configured using 'bash' do not display this problem. 
We are attempting to further define the root of this problem.

While we do believe we have compiled everything correctly I have my developers 
looking into this as we speak. As a reminder, even the packaged system tools 
(i.e. Telnet, tcsh, SSH) display this problem and I assume RedHat compiled 
these applications with largefile support.

Comment 3 Aaron Brown 2002-06-04 14:18:06 EDT
I'm not seeing the problem.  I created a 2.8GB file on my home
server (RH7.3, up2dated).  Here is what I am seeing...

using ssh:

bash:
[root@abserver tmp]# ls -l largefile.dat 
-rw-r--r--    1 abrown   abrown   3031444620 Jun  4 02:13 largefile.dat
[root@abserver tmp]# 

tcsh:
[root@abserver /tmp]# ls -l largefile.dat 
-rw-r--r--    1 abrown   abrown   3031444620 Jun  4 02:13 largefile.dat
[root@abserver /tmp]# 

using telnet:

bash:
[root@abserver tmp]# ls -l largefile.dat 
-rw-r--r--    1 abrown   abrown   3031444620 Jun  4 02:13 largefile.dat
[root@abserver tmp]# 

tcsh:
[root@abserver /tmp]# ls -l largefile.dat 
-rw-r--r--    1 abrown   abrown   3031444620 Jun  4 02:13 largefile.dat
[root@abserver /tmp]#
Comment 4 Aaron Brown 2002-06-04 14:28:11 EDT
I did one more test, "ls large*", and to my amazement, it did not show up!
You are correct.  We'll take care of it.
Comment 5 Bill Nottingham 2002-06-04 14:34:12 EDT
Assigning to tcsh.
Comment 6 John-Brian Vyncent 2002-06-26 16:01:09 EDT
Can you provide instructions on how to configure our system so that we may be 
able to access files over 2G? We currently have two database servers in a 
production environment displaying this anomaly and it is extremely detrimental 
to performance and data availability.

Any further updates to this issue would be greatly appreciated.

Thanks
Comment 7 Bill Nottingham 2003-02-06 15:08:18 EST
This should be fixed in the tcsh in 8.0.

Note You need to log in before you can comment on or make changes to this bug.